> For the complete documentation index, see [llms.txt](https://docs.namiml.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.namiml.com/sdk-reference/namimlmanager/exitcorecontent.md).

# exitCoreContent

{% tabs %}
{% tab title="Swift" %}

```swift
NamiMLManager.exitCoreContent(label: String)
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
NamiMLManager.exitCoreContent(label: String)
```

{% endtab %}

{% tab title="Flutter" %}

```cplusplus
// Use version that takes List<String> (see below)
```

{% endtab %}

{% tab title="React Native" %}

```javascript
NativeModules.NamiMLManagerBridge.exitCoreContentWithLabel(String);
```

{% endtab %}
{% endtabs %}

**Arguments**

* (required) `label`: String that describes the nature of the content being consumed. The same string string must be used in both [enterCoreContent](/sdk-reference/namimlmanager/entercorecontent.md) and [exitCoreContent](/sdk-reference/namimlmanager/exitcorecontent.md) calls.

{% tabs %}
{% tab title="Swift" %}

```swift
NamiMLManager.exitCoreContent(labels: [String])
```

{% endtab %}

{% tab title="Java" %}

```java
NamiMLManager.exitCoreContent(List<String> labels);
```

{% endtab %}

{% tab title="Flutter" %}

```java
NamiMLManager.exitCoreContent(List<String> labels);
```

{% endtab %}
{% endtabs %}

**Arguments**

* (required) `labels`: A list of strings of different labels that describe the content that was consumed. Note the exact same list must be used in both the `enterCoreContent` and `exitCoreContent` calls to work correctly.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.namiml.com/sdk-reference/namimlmanager/exitcorecontent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
